/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.PricingImporteDAO;
import com.rjconsultores.ventaboletos.entidad.Moneda;
import com.rjconsultores.ventaboletos.entidad.Pricing;
import com.rjconsultores.ventaboletos.entidad.PricingImporte;
import com.rjconsultores.ventaboletos.service.PricingImporteService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("pricingImporteService")
public class PricingImporteServiceImpl implements PricingImporteService {

    @Autowired
    private PricingImporteDAO pricingImporteDAO;

    public List<PricingImporte> obtenerTodos() {
        return pricingImporteDAO.obtenerTodos();
    }

    public PricingImporte obtenerID(Integer id) {
        return pricingImporteDAO.obtenerID(id);
    }

    @Transactional
    public PricingImporte suscribir(PricingImporte entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.ATIVO);

        return pricingImporteDAO.suscribir(entidad);
    }

    @Transactional
    public PricingImporte actualizacion(PricingImporte entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.ATIVO);

        return pricingImporteDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(PricingImporte entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Pricing.EXCLUIDO);

        pricingImporteDAO.actualizacion(entidad);
    }

    public List<PricingImporte> buscarMoneda(PricingImporte pricingImporte, Moneda moneda) {
        return pricingImporteDAO.buscarMoneda(pricingImporte, moneda);
    }
}
